#!/bin/sh
# Compare versions of packages in two succesive versiosn of LXQt
# Helper to feed ChangeLog.txt when a new versions is to be uploaded.
# Put it in some temp directory and copy the packages there.
# Adaopt the ersions as needed.
CWD=$(pwd)
rm -f notupdated
cd lxqt.2.1.0
find -name "*.txz"|sed 's#-[^-]*-[^-]*-[^-]*$##'|sort > $CWD/listelxqt.2.1.0
cd /$CWD/lxqt
find -name "*.txz"|sed 's#-[^-]*-[^-]*-[^-]*$##'|sort > $CWD/listelxqt.2.2.0 
cd $CWD
while read i; do
	if ! grep -q "^${i}$" listelxqt.2.2.0; then
		echo $i|sed 's#..##' >> notupdated
	fi
done < listelxqt.2.1.0
while read i; do
	cp lxqt.2.1.0/${i}* lxqt/
done < notupdated
